//
// C++ Interface: BIMrErrors
//
// Description:
//
//
// Author: Faubet Pierre <pierre.faubet@e.ujf-grenoble.fr>, (C) 2008
//
// Copyright: See COPYING file that comes with this distribution
//
//
#define EXCEPTION_INFOS() cerr << "Function" << ": " << __FUNCTION__ << endl; \
cerr << "File" << ": " << __FILE__ << endl;\
cerr << "Line" << ": " << __LINE__ << endl

#define EXCEPTION_DECLARATION(Current,Super) class Current : public Super \
{\
public: \
virtual const char *what() const throw()\
{\
return #Current;\
}\
}

#include <exception>
#include <string>

using namespace std;

EXCEPTION_DECLARATION(BIMrError,exception);

EXCEPTION_DECLARATION(MemError,BIMrError);

EXCEPTION_DECLARATION(FileError,BIMrError);

EXCEPTION_DECLARATION(OpenFileError,FileError);

EXCEPTION_DECLARATION(FileFormatError,FileError);

EXCEPTION_DECLARATION(MCMCError,BIMrError);
